List communication campaigns
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/communications/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/communications/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/communications/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 33,
"template_id": 15,
"group_id": 21,
"template": {
"id": 15,
"name": "Welcome Creditor"
},
"group": {
"id": 15,
"name": "Welcome Creditor"
},
"frequency": {
"value": "weekly",
"label": "Weekly"
},
"start_date": "2026-07-13",
"end_date": "2026-08-13",
"day_of_week": 1,
"day_of_month": null,
"terms": "Weekly on Monday",
"is_run_immediately": false,
"created_at": "2026-07-06T12:00:00.000000Z",
"updated_at": "2026-07-06T12:05:00.000000Z"
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 1,
"total": 1
}
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}List communication campaigns
List EcoMail Hub communication campaigns owned by the authenticated user with search, sorting, and pagination.
GET
/
communications
/
campaigns
List communication campaigns
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search by frequency, template name, or group name.
Maximum string length:
255Available options:
start-date, start_date, end-date, end_date, template-name, template_name, name, group-name, group_name, frequency, time, terms Available options:
asc, desc Required range:
x >= 1Required range:
1 <= x <= 100Last modified on July 19, 2026
Was this page helpful?
⌘I

